| Home | Libraries | People | FAQ | More

## Class ambiguous_option

boost::program_options::ambiguous_option

## Synopsis

    class ambiguous_option : public boost::program_options::error {
    public:
      // construct/copy/destruct
      ambiguous_option(const std::string &, const std::vector< std::string > &);
      ~ambiguous_option();
      std::vector< std::string > alternatives;
    };

## Description

Class thrown when there's ambiguity amoung several possible options.

### `ambiguous_option` public construct/copy/destruct

1.     ambiguous_option(const std::string & name,
                        const std::vector< std::string > & alternatives);

2.     ~ambiguous_option();